Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.retry.policies
Class AbstractPolicyTemplate

    java.lang.Object
      org.mule.retry.policies.AbstractPolicyTemplate

All Implemented Interfaces:
  MuleContextAware, RetryPolicyTemplate

Direct Known Subclasses:
  NoRetryPolicyTemplate

    public abstract class AbstractPolicyTemplate

extends Object
implements RetryPolicyTemplate, MuleContextAware

Base class for RetryPolicyTemplate implementations. Uses ConnectNotifier as RetryNotifier by default.

Field Summary
`protected Log` | `logger`
`protected RetryNotifier` | `notifier`

Constructor Summary
`AbstractPolicyTemplate()`

Method Summary
`RetryContext` | `execute(RetryCallback callback, WorkManager workManager)`
`Map<Object,Object>` | `getMetaInfo()`
`RetryNotifier` | `getNotifier()`
`void` | `setId(String id)`
`void` | `setMetaInfo(Map<Object,Object> metaInfo)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setNotifier(RetryNotifier retryNotifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.retry.RetryPolicyTemplate
`createRetryInstance`

Field Detail

### notifier

    protected RetryNotifier notifier

### logger

    protected final transient Log logger

Constructor Detail

### AbstractPolicyTemplate

    public AbstractPolicyTemplate()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### execute

    public RetryContext execute(RetryCallback callback,
                                WorkManager workManager)
                         throws Exception

  Specified by:
    `execute` in interface `RetryPolicyTemplate`
  Throws:
    `Exception`

### getNotifier

    public RetryNotifier getNotifier()

  Specified by:
    `getNotifier` in interface `RetryPolicyTemplate`

### setNotifier

    public void setNotifier(RetryNotifier retryNotifier)

  Specified by:
    `setNotifier` in interface `RetryPolicyTemplate`

### getMetaInfo

    public Map<Object,Object> getMetaInfo()

  Specified by:
    `getMetaInfo` in interface `RetryPolicyTemplate`

### setMetaInfo

    public void setMetaInfo(Map<Object,Object> metaInfo)

  Specified by:
    `setMetaInfo` in interface `RetryPolicyTemplate`

### setId

    public void setId(String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.